# detect distro
%define is_fc   %(test -e /etc/fedora-release && echo 1 || echo 0)
%define is_mdk  %(test -e /etc/mandrake-release && echo 1 || echo 0)
%define is_rh   %(test -e /etc/redhat-release && echo 1 || echo 0)
%define is_suse %(test -e /etc/SuSE-release && echo 1 || echo 0)

Name:           canal
Version:        0.1
Release:        1%{?dist}
Summary:        Plug-in for Gstreamer 0.10

Group:          Applications/Multimedia
License:        GPL
URL:            http://usuarios.lycos.es/forumdev/viewtopic.php?t=3305
Source0:        http://cricrac.fr.st/download/gstreamer/canal-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%if %{is_fc}
BuildRequires:  gstreamer-devel
BuildRequires:  gstreamer-plugins-base-devel
BuildRequires:  jack-audio-connection-kit-devel     
BuildRequires:  kernel-headers
BuildRequires:  pkgconfig
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig
%endif
%if %{is_mdk}
# Add Mandrake BR here:
BuildRequires:  libgstreamer0.10_0.10-devel,
BuildRequires:  libgstreamer-plugins-base0.10-devel
%endif
%if %{is_rh}
BuildRequires:  gstreamer-devel
BuildRequires:  gstreamer-plugins-base-devel
BuildRequires:  jack-audio-connection-kit-devel     
BuildRequires:  kernel-headers
BuildRequires:  pkgconfig
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig
%endif
%if %{is_suse}
# Add Suse BR here:
%endif


%description
Plug-in for Gstreamer 0.10

%prep
%setup -q -n canal
install -m 0644 README README.soundcp


%build
gcc -o soundcp `pkg-config --cflags --libs jack` soundcp.c
cd gst-undiscret
./autogen.sh --prefix=%{_prefix} --libdir=%{_libdir}
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -m 0755 soundcp $RPM_BUILD_ROOT%{_bindir}
cd gst-undiscret
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT

%if %{is_fc} || %{is_rh}
%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig
%endif


%files
%defattr(-,root,root,-)
%doc README.soundcp gst-undiscret/AUTHORS gst-undiscret/ChangeLog 
%doc gst-undiscret/NEWS gst-undiscret/README
%exclude %{_libdir}/gstreamer-0.10/*.a
%{_libdir}/gstreamer-0.10/libgstundiscret.*
%{_bindir}/soundcp

%changelog
